# ``fn_gen`.`enums`.`sweep_signal_type`.`SweepSignalType``

class documentation

`class SweepSignalType(Enum):`

View In Hierarchy

The type of signal used in the sweep function

Constant | `RAMP` | The Ramp function sweep
Constant | `SINE` | The Sine function sweep
Constant | `SQUARE` | The Square function sweep

RAMP: `int` =

The Ramp function sweep

Value

    3

SINE: `int` =

The Sine function sweep

Value

    1

SQUARE: `int` =

The Square function sweep

Value

    2